MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031217Community[OCCT] OCCT:Modeling Algorithmspublic2019-12-04 16:012020-04-16 14:50
Reporterdenix56 
Assigned Toakaftasev 
PrioritynormalSeveritycrash 
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target VersionFixed in Version 
Summary0031217: Modeling Algorithms - Exception is raised in GeomFill_SectionPlacement when parallel path and section
DescriptionThe following code from GeomFill_SectionPlacement raises exception due to inconsistency with 7.4.0 changes. In 7.4.0 Extrema_ExtCC has IsParallel method that we need to check, otherwise exception when accessing points will be raised.
 
 Extrema_ExtCC Ext(Path->Curve(), myAdpSection,
                Path->FirstParameter(), Path->LastParameter(),
                myAdpSection.FirstParameter(),
                myAdpSection.LastParameter(),
                Path->Resolution(Tol/100),
                myAdpSection.Resolution(Tol/100));
      if (Ext.IsDone()) {
        Extrema_POnCurv P1, P2;
        for (ii=1; ii<=Ext.NbExt(); ii++) {
          distaux = sqrt (Ext.SquareDistance(ii));
          Ext.Points(ii, P1, P2); // HERE THE EXCEPTION
Steps To ReproduceNot possible
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0031249newmsv Modeling Algorithms - Invalid memory access with parallel lines and GeomAPI_ExtremaCurveCurve 

-  Notes
(0090302)
akaftasev (developer)
2020-02-05 15:42

Please, could you reproduce a use case in which an exception arise and attach it here
(0090392)
git (administrator)
2020-02-07 13:34

Branch CR31217 has been created by akaftasev.

SHA-1: 17561f1b3eac0ff7b48fe1403531259eb39489f9


Detailed log of new commits:

Author: KafAndrey
Date: Fri Feb 7 13:34:03 2020 +0300

    edit code

Author: KafAndrey
Date: Wed Feb 5 13:45:40 2020 +0300

    0031217: start testing bug
(0091236)
denix56 (reporter)
2020-03-25 12:26
edited on: 2020-03-25 12:27

Sorry, but I do not work on this project anymore and I have no possibility to reproduce it.
Could you please change the assignment from me, so I will stop receiving e-mails?

(0091532)
git (administrator)
2020-04-13 12:36

Branch CR31217 has been updated by akaftasev.

SHA-1: eca7b5ea4afc8414e59e1b316468215b1c30f323


Detailed log of new commits:

Author: andrey.kaftasev@opencascade.com
Date: Mon Apr 13 12:36:47 2020 +0300

    0031217: Modeling Algorithms - Exception is raised in GeomFill_SectionPlacement when parallel path and SectionAxis
    
    Now code protected from crashes when IsParallel

(0091533)
akaftasev (developer)
2020-04-13 12:37

We can not reproduce this bug, but now code protected from crashes when IsParallel
(0091572)
msv (developer)
2020-04-15 21:41

Please rebase the fix on current master.
I think the changes in QABugs are redundant. Remove them.
Run tests on Jenkins.
After tests are OK change to resolved again.
(0091587)
git (administrator)
2020-04-16 12:44

Branch CR31217 has been updated by akaftasev.

SHA-1: 76759f4784cb1bff695af9ef3119f7b8bb7b752f


Detailed log of new commits:

Author: andrey.kaftasev@opencascade.com
Date: Thu Apr 16 12:21:22 2020 +0300

    Remove redundant changes on QABugs

(0091594)
git (administrator)
2020-04-16 14:50

Branch CR31217 has been updated by akaftasev.

SHA-1: 278d163d3fa8a791d7ec4d3b76554b13199f68af


Detailed log of new commits:

Author: akaftasev
Date: Thu Apr 16 14:43:42 2020 +0300

    add deleted incude-file


- Issue History
Date Modified Username Field Change
2019-12-04 16:01 denix56 New Issue
2019-12-04 16:01 denix56 Assigned To => msv
2019-12-17 13:35 kgv Product Version => 7.4.0
2019-12-17 13:35 kgv Summary Exception is raised in GeomFill_SectionPlacement when parallel path and section => Modeling Algorithms - Exception is raised in GeomFill_SectionPlacement when parallel path and section
2019-12-17 13:44 kgv Relationship added related to 0031249
2020-01-29 16:12 msv Assigned To msv => akaftasev
2020-01-29 16:12 msv Status new => assigned
2020-02-05 15:42 akaftasev Note Added: 0090302
2020-02-05 15:46 msv Assigned To akaftasev => denix56
2020-02-05 15:46 msv Status assigned => feedback
2020-02-07 13:34 git Note Added: 0090392
2020-03-25 12:26 denix56 Note Added: 0091236
2020-03-25 12:27 denix56 Note Edited: 0091236 View Revisions
2020-04-13 12:36 git Note Added: 0091532
2020-04-13 12:37 akaftasev Note Added: 0091533
2020-04-13 17:12 akaftasev Assigned To denix56 => msv
2020-04-13 17:12 akaftasev Status feedback => resolved
2020-04-13 17:12 akaftasev Steps to Reproduce Updated View Revisions
2020-04-15 21:41 msv Note Added: 0091572
2020-04-15 21:41 msv Assigned To msv => akaftasev
2020-04-15 21:41 msv Status resolved => assigned
2020-04-16 12:44 git Note Added: 0091587
2020-04-16 14:50 git Note Added: 0091594


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker